-- Generated by Mocodo 4.2.8

CREATE TABLE ARTICLE (
  PRIMARY KEY (title),
  title        VARCHAR(42) NOT NULL,
  content      VARCHAR(42),
  source       VARCHAR(42),
  created_At   VARCHAR(42),
  updated_At   VARCHAR(42),
  published_At VARCHAR(42)
);

CREATE TABLE DEPECHE_AFP (
  PRIMARY KEY (afp_uuid),
  afp_uuid VARCHAR(42) NOT NULL,
  content  VARCHAR(42),
  date     VARCHAR(42),
  title    VARCHAR(42) NOT NULL
);

CREATE TABLE DESCRIBE (
  PRIMARY KEY (name, title),
  name  VARCHAR(42) NOT NULL,
  title VARCHAR(42) NOT NULL
);

CREATE TABLE ILLUSTRATE (
  PRIMARY KEY (title, url),
  title VARCHAR(42) NOT NULL,
  url   VARCHAR(42) NOT NULL
);

ALTER TABLE DEPECHE_AFP ADD FOREIGN KEY (title) REFERENCES ARTICLE (title);

ALTER TABLE DESCRIBE ADD FOREIGN KEY (title) REFERENCES ARTICLE (title);

ALTER TABLE ILLUSTRATE ADD FOREIGN KEY (title) REFERENCES ARTICLE (title);
